Bug 206385 - 2.6.17-1.2174_FC5.x86_64 kernel can't be built on fc5 current
2.6.17-1.2174_FC5.x86_64 kernel can't be built on fc5 current
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-13 21:22 EDT by Thomas Walker
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: 2.6.17-2187
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-22 20:36:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Thomas Walker 2006-09-13 21:22:34 EDT
Description of problem:

kernel srpm fails a rebuild


Version-Release number of selected component (if applicable):

[root@thwalker redhat]# rpm -q kernel
kernel-2.6.17-1.2174_FC5


How reproducible:

[root@thwalker redhat]# rpmbuild -ba SPECS/kernel-2.6.spec

Steps to Reproduce:
1. install kernel-2.6.17-1.2174_FC5 srpm on an x86_64 machine
2. rpmbuild -ba SPECS/kernel-2.6.spec
3. failed build
  
Actual results:

+ make -s ARCH=x86_64 -j4 bzImage
  SYMLINK include/asm -> include/asm-x86_64
  CHK     include/linux/version.h
  SPLIT   include/linux/autoconf.h -> include/config/*
scripts/basic/split-include: include/linux/autoconf.h: Invalid argument
make: *** [include/config/MARKER] Error 1
make: *** Waiting for unfinished jobs....
  UPD     include/linux/version.h
error: Bad exit status from /var/tmp/rpm-tmp.79110 (%build

RPM build errors:
    Bad exit status from /var/tmp/rpm-tmp.79110 (%build)

Not sure why it is invalid:
[root@thwalker linux-2.6.17.x86_64]# ls -l include/linux/autoconf.h
-rw-r--r-- 1 root root 80458 Sep 13 21:05 include/linux/autoconf.h

On occasion (yes, I've been trying to work around this) I get the following in
/var/log/messages:

Sep 13 08:47:02 thwalker kernel: split-include[12615] general protection
rip:3b0f55e064 rsp:7fff6f6c3470 error:0

Expected results:

can rebuild kernel

Additional info:

The build works fine on RHEL4 U3/U4 boxes I have available but not on fc5 current.

The fc5 box:
[root@thwalker redhat]# rpm -q kernel
--queryformat="%{name}-%{version}-%{release}.%{arch}\n"
kernel-2.6.17-1.2174_FC5.x86_64
[root@thwalker redhat]# rpm -q glibc
--queryformat="%{name}-%{version}-%{release}.%{arch}\n"
glibc-2.4-8.i686
glibc-2.4-8.x86_64
Comment 1 Thomas Walker 2006-09-22 20:36:36 EDT
running 2187 seems to fix this

Note You need to log in before you can comment on or make changes to this bug.